CREATE TABLE fun_catalog_objects_ (
    OBJECT_ID                 NUMBER(18, 0) ,
    OBJECT_CODE               VARCHAR2(960) ,
    OBJECT_NAME               VARCHAR2(960) ,
    OBJECT_DEFINITION         BLOB          ,
    OBJECT_DEFINITION_PATH    BLOB          ,
    OBJECT_TYPE_CODE          VARCHAR2(120) ,
    ENABLED_FLAG              VARCHAR2(4)   ,
    OBJECT_QUALIFIER          VARCHAR2(4000),
    MODULE_ID                 VARCHAR2(128) ,
    APPLICATION_ID            NUMBER(18, 0) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    CREATED_BY                VARCHAR2(256) ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_        VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_     VARCHAR2(4000),
    AUDIT_IMPERSONATOR_       VARCHAR2(256) ,
    OBJECT_ID                 NUMBER(18, 0) ,
    OBJECT_CODE               VARCHAR2(960) ,
    OBJECT_NAME               VARCHAR2(960) ,
    OBJECT_DEFINITION         BLOB          ,
    OBJECT_DEFINITION_PATH    BLOB          ,
    OBJECT_TYPE_CODE          VARCHAR2(120) ,
    ENABLED_FLAG              VARCHAR2(4)   ,
    MODULE_ID                 VARCHAR2(128) ,
    APPLICATION_ID            NUMBER(18, 0) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    CREATED_BY                VARCHAR2(256) ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_        VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_     VARCHAR2(4000),
    AUDIT_IMPERSONATOR_       VARCHAR2(256) ,
    OBJECT_QUALIFIER          VARCHAR2(4000),
    CONSTRAINT pk_fun_catalog_objects_ PRIMARY KEY (OBJECT_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, OBJECT_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
